#!/usr/bin/env python3
# -*- coding: utf-8 -*-

# =============================================================================
# 2C09 Exercice 56 Saut à ski                                        INITIATION

# Programme permettant d'afficher les positions successives du skieur, le plan
# incliné et les vecteurs vitesse toutes les 2 positions successives

# Questions 1 et 2:
# Compléter les lignes 25 à 43 et la ligne 56.
# Question 4:
# Supprimer les guillemets des lignes 44 et 55.
# Puis, compléter les lignes 45 à 54.
# =============================================================================

import numpy as np
import matplotlib.pyplot as plt
from math import tan, pi

# Définition du plan incliné NE PAS MODIFIER ==================================
x = np.linspace(0,120,20)   
y = tan(-35*pi/180)*x
     
# Demander d'entrer le nombre de positions successives N à représenter=========
N = int(input('Nombre de positions à représenter N= '))

# Demander d'entrer l'intervalle de temps ∆t (en s) entre 2 positions successives
Delta_t = float(input('∆t (en s) entre deux positions successives, ∆t= '))

# Définir les coordonnées des positions successives du skieur==================
t = np.linspace(0,(N-1)*Delta_t,N) # Domaine des dates (en s)
xs = ...............          # Domaine des abscisses (en m)
ys = ...............          # Domaine des ordonnées (en m)
    
# Figure représentant les positions successives du skieur et le plan incliné===
plt.figure('Saut à ski')      # Nommer la fenêtre de visualisation
plt.title('Positions successives du skieur') # Donner un titre au graphe
plt.xlabel('........')        # Nommer l'axe des abscisses
plt.ylabel('........')        # Nommer l'axe des ordonnées
plt.plot(...............)     # Tracer les posisions du skieur: '+' en rouge et reliées
plt.plot(x,y,'b-',lw=0.5)     # Tracer le plan incliné en bleu
plt.axis('equal')             # Imposer un repère orthonormé
"""
# Tracé des vecteurs vitesse toutes les 2 positions============================
# e est un facteur d'échelle pour la représentation du vecteur vitesse
e=float(input('Valeur e du facteur d échelle des vecteurs vitesse (0.1 à 0.5), e= '))

for i in range(0,N-1,2):
    plt.arrow(xs[...], ys[...],
              e*(xs[...]-xs[...])/(t[...]-t[...]),
              e*(ys[...]-ys[...])/(t[...]-t[...]),
              width=0.5, color='c', length_includes_head="true")
"""
plt.show()                    # Afficher la figure



